Welcome to GeoVisage Imagery

Before you start...


There are two things that you may need to do before you can use GeoVisage Imagery:

  1. You should have the latest version of Java installed (Java version 7.60 or later).

    Click here to learn how to get the latest Java in Internet Explorer.

    Click here to learn how to get the latest Java in Chrome.

    Click here to learn how to get the latest Java in Firefox.


  2. If the application still does not load after updating Java, you may also need to add http://geovisage.nipissingu.ca to your Java security exception list.

    Click here to learn how to change Java's security.



If these two steps have been completed, click below to continue to GeoVisage Imagery:

Click here to go back to the main GeoVisage page.

Click here  to go to the Java page.